Bug 1516759 (CVE-2017-16927) - CVE-2017-16927 xrdp: Buffer-overflow in scp_v0s_accept function in session manager
Summary: CVE-2017-16927 xrdp: Buffer-overflow in scp_v0s_accept function in session ma...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-16927
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1516760 1516761
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 11:11 UTC by Andrej Nemec
Modified: 2019-09-29 14:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:31:53 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-11-23 11:11:14 UTC
The scp_v0s_accept function in sesman/libscp/libscp_v0.c in the session manager in xrdp through 0.9.4 uses an untrusted integer as a write length, which allows local users to cause a denial of service (buffer overflow and application crash) or possibly have unspecified other impact via a crafted input stream.

Upstream patch:

https://github.com/neutrinolabs/xrdp/pull/958/commits/ebd0510a7d4dab906b6e01570205dfa530d1f7bf

References:

https://groups.google.com/forum/#!topic/xrdp-devel/PmVfMuy_xBA

Comment 1 Andrej Nemec 2017-11-23 11:11:58 UTC
Created xrdp tracking bugs for this issue:

Affects: epel-all [bug 1516760]
Affects: fedora-all [bug 1516761]

Comment 2 Product Security DevOps Team 2019-06-08 03:31:53 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.